Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.opensymphony.xwork2.util.logging.jdk
Class JdkLogger

    java.lang.Object
      com.opensymphony.xwork2.util.logging.jdk.JdkLogger

All Implemented Interfaces:
  Logger

    public class JdkLogger

extends java.lang.Object
implements Logger

Delegates to jdk logger. Maps fatal to Level.SEVERE along with error.

Constructor Summary
`JdkLogger(java.util.logging.Logger log)`

Method Summary
`void` | `debug(java.lang.String msg, java.lang.String... args)`
`void` | `debug(java.lang.String msg, java.lang.Throwable ex, java.lang.String... args)`
`void` | `error(java.lang.String msg, java.lang.String... args)`
`void` | `error(java.lang.String msg, java.lang.Throwable ex, java.lang.String... args)`
`void` | `fatal(java.lang.String msg, java.lang.String... args)`
`void` | `fatal(java.lang.String msg, java.lang.Throwable ex, java.lang.String... args)`
`void` | `info(java.lang.String msg, java.lang.String... args)`
`void` | `info(java.lang.String msg, java.lang.Throwable ex, java.lang.String... args)`
`boolean` | `isDebugEnabled()`
`boolean` | `isErrorEnabled()`
`boolean` | `isFatalEnabled()`
`boolean` | `isInfoEnabled()`
`boolean` | `isTraceEnabled()`
`boolean` | `isWarnEnabled()`
`void` | `trace(java.lang.String msg, java.lang.String... args)`
`void` | `trace(java.lang.String msg, java.lang.Throwable ex, java.lang.String... args)`
`void` | `warn(java.lang.String msg, java.lang.String... args)`
`void` | `warn(java.lang.String msg, java.lang.Throwable ex, java.lang.String... args)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JdkLogger

    public JdkLogger(java.util.logging.Logger log)

Method Detail

### error

    public void error(java.lang.String msg,
                      java.lang.String... args)

  Specified by:
    `error` in interface `Logger`

### error

    public void error(java.lang.String msg,
                      java.lang.Throwable ex,
                      java.lang.String... args)

  Specified by:
    `error` in interface `Logger`

### fatal

    public void fatal(java.lang.String msg,
                      java.lang.String... args)

  Specified by:
    `fatal` in interface `Logger`

### fatal

    public void fatal(java.lang.String msg,
                      java.lang.Throwable ex,
                      java.lang.String... args)

  Specified by:
    `fatal` in interface `Logger`

### info

    public void info(java.lang.String msg,
                     java.lang.String... args)

  Specified by:
    `info` in interface `Logger`

### info

    public void info(java.lang.String msg,
                     java.lang.Throwable ex,
                     java.lang.String... args)

  Specified by:
    `info` in interface `Logger`

### isInfoEnabled

    public boolean isInfoEnabled()

  Specified by:
    `isInfoEnabled` in interface `Logger`

### warn

    public void warn(java.lang.String msg,
                     java.lang.String... args)

  Specified by:
    `warn` in interface `Logger`

### warn

    public void warn(java.lang.String msg,
                     java.lang.Throwable ex,
                     java.lang.String... args)

  Specified by:
    `warn` in interface `Logger`

### isDebugEnabled

    public boolean isDebugEnabled()

  Specified by:
    `isDebugEnabled` in interface `Logger`

### debug

    public void debug(java.lang.String msg,
                      java.lang.String... args)

  Specified by:
    `debug` in interface `Logger`

### debug

    public void debug(java.lang.String msg,
                      java.lang.Throwable ex,
                      java.lang.String... args)

  Specified by:
    `debug` in interface `Logger`

### isTraceEnabled

    public boolean isTraceEnabled()

  Specified by:
    `isTraceEnabled` in interface `Logger`

### trace

    public void trace(java.lang.String msg,
                      java.lang.String... args)

  Specified by:
    `trace` in interface `Logger`

### trace

    public void trace(java.lang.String msg,
                      java.lang.Throwable ex,
                      java.lang.String... args)

  Specified by:
    `trace` in interface `Logger`

### isErrorEnabled

    public boolean isErrorEnabled()

  Specified by:
    `isErrorEnabled` in interface `Logger`

### isFatalEnabled

    public boolean isFatalEnabled()

  Specified by:
    `isFatalEnabled` in interface `Logger`

### isWarnEnabled

    public boolean isWarnEnabled()

  Specified by:
    `isWarnEnabled` in interface `Logger`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.